Bug 728810 - file-roller ignores keyboard! Fedora 15
Summary: file-roller ignores keyboard! Fedora 15
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: file-roller
Version: 15
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-07 21:52 UTC by MM Masaeli
Modified: 2013-06-24 10:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 15:38:41 UTC


Attachments (Terms of Use)

Description MM Masaeli 2011-08-07 21:52:07 UTC
Description of problem:
file-roller ignores keyboard arrow keys if the mouse cursor is somewhere else than the file-rollers window while opening an archive! But if the mouse cursor exists where the window will be open, arrow keys work fine!

Version-Release number of selected component (if applicable):
file-roller-3.0.2-1.fc15.x86_64

Steps to Reproduce:
1.select and open a non empty archive when mouse cursor is somewhere else than the area that file-roller window will be appeared!
2.Just test the keys!
3.Nothing changes while arrow keys pressed!

Comment 1 randomizer 2011-10-23 03:02:22 UTC
I can confirm that the same issue exists in file-roller-3.2.1-1.fc16.x86_64. However, all keys are affected, not just arrow keys. For example, you can't select multiple files within an archive because holding the ctrl or shift keys has no effect.

I did notice that file-roller starts responding to keyboard input if you click in any region of the file-roller window that allows resizing or repositioning of the (titlebar, edges and corners), or hold the alt key and click anywhere on the window.

Comment 2 Tadej Janež 2012-02-20 17:39:51 UTC
I can also confirm this on my F-15 machine with file-roller-3.0.2-1.fc15.x86_64.

Comment 3 Fedora End Of Life 2012-08-07 15:38:43 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Tadej Janež 2013-06-24 10:20:54 UTC
FWIW,

this appears to be fixed in file-roller-3.4.2-1.fc17.x86_64.


Note You need to log in before you can comment on or make changes to this bug.